]> git.ipfire.org Git - thirdparty/cups.git/blame - test/5.6-lpr.sh
Load cups into easysw/current.
[thirdparty/cups.git] / test / 5.6-lpr.sh
CommitLineData
ef416fc2 1#!/bin/sh
2#
3# "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $"
4#
5# Test the lpr command.
6#
7# Copyright 1997-2005 by Easy Software Products, all rights reserved.
8#
9# These coded instructions, statements, and computer programs are the
10# property of Easy Software Products and are protected by Federal
11# copyright law. Distribution and use rights are outlined in the file
12# "LICENSE.txt" which should have been included with this file. If this
13# file is missing or damaged please contact Easy Software Products
14# at:
15#
16# Attn: CUPS Licensing Information
17# Easy Software Products
18# 44141 Airport View Drive, Suite 204
19# Hollywood, Maryland 20636 USA
20#
21# Voice: (301) 373-9600
22# EMail: cups-info@cups.org
23# WWW: http://www.cups.org
24#
25
26echo "LPR Default Test"
27echo ""
28echo " lpr testfile.jpg"
29../berkeley/lpr testfile.jpg 2>&1
30if test $? != 0; then
31 echo " FAILED"
32 exit 1
33else
34 echo " PASSED"
35fi
36echo ""
37
38echo "LPR Destination Test"
39echo ""
40echo " lpr -P Test1 testfile.jpg"
41../berkeley/lpr -P Test1 testfile.jpg 2>&1
42if test $? != 0; then
43 echo " FAILED"
44 exit 1
45else
46 echo " PASSED"
47fi
48echo ""
49
50echo "LPR Flood Test"
51echo ""
52echo " lpr -P Test1 testfile.jpg ($1 times in parallel)"
53i=0
54while test $i -lt $1; do
55 echo " flood copy $i..." 1>&2
56 ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
57 lprpid=$!
58 i=`expr $i + 1`
59done
60wait $lppid
61if test $? != 0; then
62 echo " FAILED"
63 exit 1
64else
65 echo " PASSED"
66fi
67echo ""
68
69#
70# End of "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $".
71#